/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias;

import org.zkoss.zkplus.databind.BindingListModel;
import org.zkoss.zkplus.databind.BindingListModelList;

import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 * 
 * @author gleimar
 */
public class MyComboboxEstandarEmpresaUsuario extends MyComboboxEstandar { 

	private static final long serialVersionUID = 1L;

	public MyComboboxEstandarEmpresaUsuario() {
		super();

		Usuario usuario = UsuarioLogado.getUsuarioLogado();
		if (usuario!=null){
			BindingListModel listModelEmpresa = new BindingListModelList(usuario.getEmpresa(), true);
			MyComboboxEstandarEmpresaUsuario.this.setModel(listModelEmpresa);
		}
	}
}
